- Qt 5.15
- Qt Multimedia
- C++ Classes
- QMediaAvailabilityControl
- Qt 5.15.18 Reference Documentation

# QMediaAvailabilityControl Class

The QMediaAvailabilityControl class supplies a control for reporting availability of a service. More...

Header: | #include <QMediaAvailabilityControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

This class is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

- List of all members, including inherited members

## Public Functions

virtual | ~QMediaAvailabilityControl()
virtual QMultimedia::AvailabilityStatus | availability() const = 0

## Signals

void | availabilityChanged(QMultimedia::AvailabilityStatus availability)

## Protected Functions

| QMediaAvailabilityControl(QObject *parent = nullptr)

## Macros

| QMediaAvailabilityControl_iid

## Detailed Description

An instance of QMediaObject (or its derived classes) can report any changes in availability via this control.

The interface name of QMediaAvailabilityControl is `org.qt-project.qt.mediaavailabilitycontrol/5.0` as defined in QMediaAvailabilityControl_iid.

See also QMediaService::requestControl() and QMediaObject.

## Member Function Documentation

### `[protected]` QMediaAvailabilityControl::QMediaAvailabilityControl(QObject *parent = nullptr)

Constructs an availability control object with parent.

### `[signal]` void QMediaAvailabilityControl::availabilityChanged(QMultimedia::AvailabilityStatus availability)

Signal emitted when the current availability value changed.

### `[virtual]` QMediaAvailabilityControl::~QMediaAvailabilityControl()

Destruct the availability control object.

### `[pure virtual]` QMultimedia::AvailabilityStatus QMediaAvailabilityControl::availability() const

Returns the current availability of this instance of the media service. If the availability changes at run time (for example, some other media client takes all media resources) the availabilityChanges() signal should be emitted.

## Macro Documentation

### QMediaAvailabilityControl_iid

`org.qt-project.qt.mediaavailabilitycontrol/5.0`

Defines the interface name of the QMediaAvailabilityControl class.